<mat-dialog-content>
    <div *ngIf="discussion">
        <div style="width:100%; margin-bottom: 15px;">
            <div style="float:left; width:13%; ; margin-bottom: 2px; ">
                <img [src]="discussion.user.imagePath || '../../../assets/images/monkey-reading.jpg'" [alt]="discussion.user.username ">
            </div>
            <div style="float:none; line-height: normal;">
                <span style="font-family: Eutemia; color: #f2fa86; margin-bottom: 12px;
  /*font-weight: 600;*/
  font-size: 1.3em; cursor: pointer;" [routerLink]="['/users', discussion.user._id]">
                    {{ discussion.user.username}}
                </span>
                <p style="font-family: Lady; color: white;" *ngIf="discussion.onModel === 'Author'">
                    Discussion name: <span style="color: #f2fa86">{{ discussion.name }} </span>
                    <br> Discussion about: <span style="cursor: pointer; color: #f2fa86;" [routerLink]="['/authors', discussion.onId._id]">{{ discussion.onId.name }}</span>
                </p>
                <p style="font-family: Lady; color: white;" *ngIf="discussion.onModel === 'Book'">
                    Discussion name: <span style="color: #f2fa86">{{ discussion.name }} </span>
                    <br> Discussion about: <span style="cursor: pointer; color: #f2fa86;" [routerLink]="['/books', discussion.onId._id]">{{ discussion.onId.title }}</span>
                </p>
                <p style="font-family: Lady; color: white;" *ngIf="discussion.onModel === 'Genre'">
                    Discussion name: <span style="color: #f2fa86">{{ discussion.name }} </span>
                    <br> Discussion about: <span style="cursor: pointer; color: #f2fa86;" [routerLink]="['/genres', discussion.onId._id]">{{ discussion.onId.name }}</span>
                </p>
                <p *ngIf="discussion.description" style="font-family: Lady; color: white; margin-top: -10px;">
                    Description: {{ discussion.description }}
                </p>
                <p style="font-family: Lady; color: white; font-size: 10px; margin-top: -10px;">
                    {{ discussion.createdAt | date:'short'}}
                </p>
            </div>
        </div>
        <div style="padding-bottom: 15px;" *ngFor="let comment of discussion.comments | orderByTime">

            <app-book-reviews-item (deleteComment)="onDeleteComment($event)" [user]="comment.user " [review]="{body: comment.body, _id: comment._id, postedAt: comment.postedAt}"></app-book-reviews-item>

        </div>
        <form [formGroup]="form " (submit)="onSubmit(form.value) ">
            <div class="form-row form-group ">
                <textarea class="form-control " id="comment " formControlName="comment" placeholder="Comment " rows="3 "></textarea>
            </div>
            <div class="form-group " style="text-align: center; ">
                <button type="submit " class="btn btn-dark " [disabled]="!this.form.valid ">Save</button>
                <img *ngIf="userId === discussion.user._id" (click)="onRemoveDiscussion()" style="height: 50px; width: 50px;" src="../../../assets/icons/icons8-cancel-100.png">
            </div>
        </form>
    </div>

</mat-dialog-content>